Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1047808 - [abrt] workrave: workrave killed by SIGSEGV
Summary: [abrt] workrave: workrave killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: workrave
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5181a27a1f80d3f17cdc63c6163...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-02 09:37 UTC by pankaj pandey
Modified: 2016-03-09 20:11 UTC (History)
9 users (show)

Fixed In Version: workrave-1.10.10-1.fc23 workrave-1.10.10-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-03 20:24:41 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (16.31 KB, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: core_backtrace (9.42 KB, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: dso_list (10.36 KB, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: environ (2.11 KB, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: exploitable (81 bytes, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: maps (58.00 KB, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: open_fds (379 bytes, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2014-01-02 09:37 UTC, pankaj pandey
no flags Details
File: var_log_messages (728 bytes, text/plain)
2014-01-02 09:38 UTC, pankaj pandey
no flags Details

Description pankaj pandey 2014-01-02 09:37:30 UTC
Version-Release number of selected component:
workrave-1.10-4.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 3
cmdline:        /usr/bin/workrave
executable:     /usr/bin/workrave
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 ??
 #1 RecordInputMonitor::~RecordInputMonitor at RecordInputMonitor.cc:122
 #3 ActivityMonitor::~ActivityMonitor at ActivityMonitor.cc:91
 #5 Core::~Core at Core.cc:136
 #7 GUI::~GUI at GUI.cc:164
 #9 run at main.cc:70
 #11 _start

Potential duplicate: bug 902291

Comment 1 pankaj pandey 2014-01-02 09:37:37 UTC
Created attachment 844458 [details]
File: backtrace

Comment 2 pankaj pandey 2014-01-02 09:37:39 UTC
Created attachment 844459 [details]
File: cgroup

Comment 3 pankaj pandey 2014-01-02 09:37:41 UTC
Created attachment 844460 [details]
File: core_backtrace

Comment 4 pankaj pandey 2014-01-02 09:37:44 UTC
Created attachment 844461 [details]
File: dso_list

Comment 5 pankaj pandey 2014-01-02 09:37:46 UTC
Created attachment 844462 [details]
File: environ

Comment 6 pankaj pandey 2014-01-02 09:37:49 UTC
Created attachment 844463 [details]
File: exploitable

Comment 7 pankaj pandey 2014-01-02 09:37:51 UTC
Created attachment 844464 [details]
File: limits

Comment 8 pankaj pandey 2014-01-02 09:37:54 UTC
Created attachment 844465 [details]
File: maps

Comment 9 pankaj pandey 2014-01-02 09:37:56 UTC
Created attachment 844466 [details]
File: open_fds

Comment 10 pankaj pandey 2014-01-02 09:37:59 UTC
Created attachment 844467 [details]
File: proc_pid_status

Comment 11 pankaj pandey 2014-01-02 09:38:01 UTC
Created attachment 844468 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-01-09 06:58:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Lukas Marek 2014-02-05 16:01:15 UTC
Hopefully fixed in latest git.

http://issues.workrave.org/show_bug.cgi?id=1148

Comment 14 Joao Carlos Mendes Luis 2015-02-19 21:27:26 UTC
Another user experienced a similar problem:

rebooting system

reporter:       libreport-2.2.3
backtrace_rating: 3
cmdline:        workrave --sm-client-id 286fa28ff-d84b-45e7-a1a8-51f2ef48791b
executable:     /usr/bin/workrave
kernel:         3.18.7-100.fc20.x86_64
package:        workrave-1.10-4.fc20
reason:         workrave killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            40024

Comment 15 Fedora End Of Life 2015-05-29 10:17:30 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 14:06:07 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 pankaj pandey 2015-07-03 08:13:05 UTC
Still happens in F21 and F22, as can be seen here: https://retrace.fedoraproject.org/faf/reports/457980/

Comment 18 IanB 2015-10-21 21:57:19 UTC
I'm seeing this issue under F23.

Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007fc746bcf8a1 in Gtk::Widget::get_allocation() const () from /lib64/libgtkmm-3.0.so.1

Comment 19 Adri Verhoef 2015-12-03 11:56:02 UTC
(In reply to IanB from comment #18)
> I'm seeing this issue under F23.
> 
> Program terminated with signal SIGSEGV, Segmentation fault.
> #0  0x00007fc746bcf8a1 in Gtk::Widget::get_allocation() const () from
> /lib64/libgtkmm-3.0.so.1

Probably this issue, IanB: https://bugzilla.redhat.com/show_bug.cgi?id=1267729

Comment 20 Fedora Admin XMLRPC Client 2015-12-26 12:05:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 21 Fedora Admin XMLRPC Client 2015-12-28 18:27:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 22 Fedora Update System 2016-02-26 22:15:02 UTC
workrave-1.10.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3

Comment 23 Fedora Update System 2016-02-26 22:16:05 UTC
workrave-1.10.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671

Comment 24 Fedora Update System 2016-02-28 13:53:07 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671

Comment 25 Fedora Update System 2016-02-28 13:55:05 UTC
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3

Comment 26 Fedora Update System 2016-03-03 20:24:08 UTC
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2016-03-09 16:21:10 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-03-09 18:45:52 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2016-03-09 20:11:26 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.